Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -5059,17 +5095,17 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 8d d9
+    call 0160eh                               ; e8 6e d9
     mov es, cx                                ; 8e c1
     cmp byte [es:di], 000h                    ; 26 80 3d 00
-    je short 03c97h                           ; 74 0e
+    je short 03cb6h                           ; 74 0e
     movzx dx, byte [es:di+002h]               ; 26 0f b6 55 02
     mov ax, word [bp+012h]                    ; 8b 46 12
     xor ah, ah                                ; 30 e4
     cmp dx, ax                                ; 39 c2
-    je short 03cc0h                           ; 74 29
-    mov bx, 00da6h                            ; bb a6 0d
+    je short 03cdfh                           ; 74 29
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 2a dc
+    call 018e1h                               ; e8 20 dc
     mov ax, word [bp+012h]                    ; 8b 46 12
     xor ah, ah                                ; 30 e4
@@ -5081,19 +5117,19 @@
     push 00338h                               ; 68 38 03
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 53 dc
+    call 01922h                               ; e8 49 dc
     add sp, strict byte 0000ah                ; 83 c4 0a
-    jmp near 03ff9h                           ; e9 39 03
+    jmp near 04018h                           ; e9 39 03
     mov ax, word [bp+016h]                    ; 8b 46 16
     shr ax, 008h                              ; c1 e8 08
     cmp ax, strict word 00050h                ; 3d 50 00
-    jnbe near 03fd9h                          ; 0f 87 0c 03
+    jnbe near 03ff8h                          ; 0f 87 0c 03
     push CS                                   ; 0e
     pop ES                                    ; 07
     mov cx, strict word 0001eh                ; b9 1e 00
-    mov di, 03be8h                            ; bf e8 3b
+    mov di, 03c07h                            ; bf 07 3c
     repne scasb                               ; f2 ae
     sal cx, 1                                 ; d1 e1
     mov di, cx                                ; 89 cf
-    mov ax, word [cs:di+03c05h]               ; 2e 8b 85 05 3c
+    mov ax, word [cs:di+03c24h]               ; 2e 8b 85 24 3c
     mov bx, word [bp+016h]                    ; 8b 5e 16
     xor bh, bh                                ; 30 ff
@@ -5106,5 +5142,5 @@
     add bx, bx                                ; 01 db
     cmp word [word bx+0006ah], strict byte 00000h ; 83 bf 6a 00 00
-    je near 03d0ch                            ; 0f 84 08 00
+    je near 03d2bh                            ; 0f 84 08 00
     movzx ax, byte [bp-006h]                  ; 0f b6 46 fa
     call word [word bx+00076h]                ; ff 97 76 00
@@ -5113,5 +5149,5 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 f3 d8
+    call 0160eh                               ; e8 d4 d8
     and byte [bp+01ch], 0feh                  ; 80 66 1c fe
     lea sp, [bp-004h]                         ; 8d 66 fc
@@ -5123,8 +5159,8 @@
     xor ah, ah                                ; 30 e4
     or ah, 003h                               ; 80 cc 03
-    jmp near 04001h                           ; e9 d0 02
+    jmp near 04020h                           ; e9 d0 02
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 c6 d8
+    call 01600h                               ; e8 a7 d8
     mov cl, al                                ; 88 c1
     movzx ax, cl                              ; 0f b6 c1
@@ -5135,8 +5171,8 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 bc d8
+    call 0160eh                               ; e8 9d d8
     test cl, cl                               ; 84 c9
-    je short 03d10h                           ; 74 ba
-    jmp near 04015h                           ; e9 bc 02
+    je short 03d2fh                           ; 74 ba
+    jmp near 04034h                           ; e9 bc 02
     mov es, [bp-008h]                         ; 8e 46 f8
     mov di, word [es:si+014h]                 ; 26 8b 7c 14
@@ -5162,17 +5198,17 @@
     mov word [bp-00ah], cx                    ; 89 4e f6
     test cx, cx                               ; 85 c9
-    jne short 03da6h                          ; 75 03
-    jmp near 03d0ch                           ; e9 66 ff
+    jne short 03dc5h                          ; 75 03
+    jmp near 03d2bh                           ; e9 66 ff
     cmp di, word [bp-010h]                    ; 3b 7e f0
-    jc near 03ff9h                            ; 0f 82 4c 02
+    jc near 04018h                            ; 0f 82 4c 02
     cmp ax, dx                                ; 39 d0
-    jnc near 03ff9h                           ; 0f 83 46 02
+    jnc near 04018h                           ; 0f 83 46 02
     cmp si, bx                                ; 39 de
-    jnc near 03ff9h                           ; 0f 83 40 02
+    jnc near 04018h                           ; 0f 83 40 02
     mov dx, word [bp+016h]                    ; 8b 56 16
     shr dx, 008h                              ; c1 ea 08
     cmp dx, strict byte 00004h                ; 83 fa 04
-    jne short 03dc7h                          ; 75 03
-    jmp near 03d0ch                           ; e9 45 ff
+    jne short 03de6h                          ; 75 03
+    jmp near 03d2bh                           ; e9 45 ff
     mov dx, word [bp+010h]                    ; 8b 56 10
     shr dx, 004h                              ; c1 ea 04
@@ -5185,5 +5221,5 @@
     xor dl, dl                                ; 30 d2
     xor cx, cx                                ; 31 c9
-    call 09219h                               ; e8 34 54
+    call 09439h                               ; e8 35 56
     xor bx, bx                                ; 31 db
     add ax, si                                ; 01 f0
@@ -5191,5 +5227,5 @@
     mov bx, di                                ; 89 fb
     xor cx, cx                                ; 31 c9
-    call 09219h                               ; e8 27 54
+    call 09439h                               ; e8 28 56
     mov bx, ax                                ; 89 c3
     mov ax, word [bp-010h]                    ; 8b 46 f0
@@ -5226,5 +5262,5 @@
     mov dx, ss                                ; 8c d2
     lea ax, [bp-02eh]                         ; 8d 46 d2
-    call 0924ah                               ; e8 01 54
+    call 0946ah                               ; e8 02 56
     mov word [bp-02eh], strict word 00028h    ; c7 46 d2 28 00
     mov ax, word [bp-014h]                    ; 8b 46 ec
@@ -5274,5 +5310,5 @@
     sal si, 1                                 ; d1 e6
     rcl di, 1                                 ; d1 d7
-    loop 03ec9h                               ; e2 fa
+    loop 03ee8h                               ; e2 fa
     push di                                   ; 57
     push si                                   ; 56
@@ -5289,9 +5325,9 @@
     ; mov dword [es:bx+01ah], strict dword 000000000h ; 66 26 c7 47 1a 00 00 00 00
     test al, al                               ; 84 c0
-    je near 03d0ch                            ; 0f 84 13 fe
-    mov bx, 00da6h                            ; bb a6 0d
+    je near 03d2bh                            ; 0f 84 13 fe
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 c8 d9
+    call 018e1h                               ; e8 be d9
     movzx ax, dl                              ; 0f b6 c2
     push ax                                   ; 50
@@ -5302,5 +5338,5 @@
     push 0036eh                               ; 68 6e 03
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 f3 d9
+    call 01922h                               ; e8 e9 d9
     add sp, strict byte 0000ah                ; 83 c4 0a
     mov ax, word [bp+016h]                    ; 8b 46 16
@@ -5309,5 +5345,5 @@
     mov word [bp+016h], ax                    ; 89 46 16
     mov byte [bp+016h], 000h                  ; c6 46 16 00
-    jmp near 04004h                           ; e9 d5 00
+    jmp near 04023h                           ; e9 d5 00
     mov es, [bp-008h]                         ; 8e 46 f8
     mov di, word [es:si+014h]                 ; 26 8b 7c 14
@@ -5348,31 +5384,31 @@
     mov word [bp+010h], ax                    ; 89 46 10
     cmp dl, 003h                              ; 80 fa 03
-    je short 03fb3h                           ; 74 1a
+    je short 03fd2h                           ; 74 1a
     cmp dl, 002h                              ; 80 fa 02
-    je short 03fafh                           ; 74 11
+    je short 03fceh                           ; 74 11
     cmp dl, 001h                              ; 80 fa 01
-    jne short 03fb7h                          ; 75 14
+    jne short 03fd6h                          ; 75 14
     mov ax, word [bp+010h]                    ; 8b 46 10
     xor al, al                                ; 30 c0
     or AL, strict byte 002h                   ; 0c 02
     mov word [bp+010h], ax                    ; 89 46 10
-    jmp short 03fb7h                          ; eb 08
+    jmp short 03fd6h                          ; eb 08
     or AL, strict byte 004h                   ; 0c 04
-    jmp short 03faah                          ; eb f7
+    jmp short 03fc9h                          ; eb f7
     or AL, strict byte 005h                   ; 0c 05
-    jmp short 03faah                          ; eb f3
+    jmp short 03fc9h                          ; eb f3
     mov es, [bp-008h]                         ; 8e 46 f8
     cmp byte [es:si+001h], 004h               ; 26 80 7c 01 04
-    jnc near 03d0ch                           ; 0f 83 49 fd
+    jnc near 03d2bh                           ; 0f 83 49 fd
     mov word [bp+008h], 0efc7h                ; c7 46 08 c7 ef
     mov word [bp+006h], 0f000h                ; c7 46 06 00 f0
-    jmp near 03d0ch                           ; e9 3c fd
+    jmp near 03d2bh                           ; e9 3c fd
     or bh, 003h                               ; 80 cf 03
     mov word [bp+016h], bx                    ; 89 5e 16
-    jmp near 03d10h                           ; e9 37 fd
-    mov bx, 00da6h                            ; bb a6 0d
+    jmp near 03d2fh                           ; e9 37 fd
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 e8 d8
+    call 018e1h                               ; e8 de d8
     mov ax, word [bp+016h]                    ; 8b 46 16
     shr ax, 008h                              ; c1 e8 08
@@ -5381,5 +5417,5 @@
     push 0038fh                               ; 68 8f 03
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 17 d9
+    call 01922h                               ; e8 0d d9
     add sp, strict byte 00008h                ; 83 c4 08
     mov ax, word [bp+016h]                    ; 8b 46 16
@@ -5392,14 +5428,14 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 f9 d5
+    call 0160eh                               ; e8 da d5
     or byte [bp+01ch], 001h                   ; 80 4e 1c 01
-    jmp near 03d1fh                           ; e9 03 fd
+    jmp near 03d3eh                           ; e9 03 fd
     db  050h, 04eh, 049h, 048h, 047h, 046h, 045h, 044h, 043h, 042h, 041h, 018h, 016h, 015h, 014h, 011h
-    db  010h, 00dh, 00ch, 00bh, 00ah, 009h, 008h, 005h, 004h, 003h, 002h, 001h, 000h, 0bah, 045h, 036h
-    db  043h, 022h, 041h, 0bah, 045h, 017h, 041h, 0bah, 045h, 017h, 041h, 0bah, 045h, 036h, 043h, 0bah
-    db  045h, 0bah, 045h, 036h, 043h, 036h, 043h, 036h, 043h, 036h, 043h, 036h, 043h, 04ch, 041h, 036h
-    db  043h, 0bah, 045h, 055h, 041h, 068h, 041h, 017h, 041h, 068h, 041h, 096h, 042h, 050h, 043h, 068h
-    db  041h, 077h, 043h, 073h, 045h, 07bh, 045h, 0bah, 045h
-_int13_cdrom:                                ; 0xf4075 LB 0x562
+    db  010h, 00dh, 00ch, 00bh, 00ah, 009h, 008h, 005h, 004h, 003h, 002h, 001h, 000h, 0d9h, 045h, 055h
+    db  043h, 041h, 041h, 0d9h, 045h, 036h, 041h, 0d9h, 045h, 036h, 041h, 0d9h, 045h, 055h, 043h, 0d9h
+    db  045h, 0d9h, 045h, 055h, 043h, 055h, 043h, 055h, 043h, 055h, 043h, 055h, 043h, 06bh, 041h, 055h
+    db  043h, 0d9h, 045h, 074h, 041h, 087h, 041h, 036h, 041h, 087h, 041h, 0b5h, 042h, 06fh, 043h, 087h
+    db  041h, 096h, 043h, 092h, 045h, 09ah, 045h, 0d9h, 045h
+_int13_cdrom:                                ; 0xf4094 LB 0x562
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -5409,5 +5445,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 96 d5
+    call 0161ch                               ; e8 77 d5
     mov word [bp-01ah], ax                    ; 89 46 e6
     mov si, 00122h                            ; be 22 01
@@ -5416,11 +5452,11 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 74 d5
+    call 0160eh                               ; e8 55 d5
     mov ax, word [bp+010h]                    ; 8b 46 10
     xor ah, ah                                ; 30 e4
     cmp ax, 000e0h                            ; 3d e0 00
-    jc short 040a9h                           ; 72 05
+    jc short 040c8h                           ; 72 05
     cmp ax, 000f0h                            ; 3d f0 00
-    jc short 040c7h                           ; 72 1e
+    jc short 040e6h                           ; 72 1e
     mov ax, word [bp+010h]                    ; 8b 46 10
     xor ah, ah                                ; 30 e4
@@ -5432,7 +5468,7 @@
     push 003cbh                               ; 68 cb 03
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 4c d8
+    call 01922h                               ; e8 42 d8
     add sp, strict byte 0000ah                ; 83 c4 0a
-    jmp near 04597h                           ; e9 d0 04
+    jmp near 045b6h                           ; e9 d0 04
     mov ax, word [bp+010h]                    ; 8b 46 10
     xor ah, ah                                ; 30 e4
@@ -5443,5 +5479,5 @@
     mov byte [bp-008h], dl                    ; 88 56 f8
     cmp dl, 010h                              ; 80 fa 10
-    jc short 040f0h                           ; 72 10
+    jc short 0410fh                           ; 72 10
     push ax                                   ; 50
     mov ax, word [bp+018h]                    ; 8b 46 18
@@ -5450,17 +5486,17 @@
     push 003bfh                               ; 68 bf 03
     push 003f6h                               ; 68 f6 03
-    jmp short 040bch                          ; eb cc
+    jmp short 040dbh                          ; eb cc
     mov ax, word [bp+018h]                    ; 8b 46 18
     shr ax, 008h                              ; c1 e8 08
     cmp ax, strict word 00050h                ; 3d 50 00
-    jnbe near 045bah                          ; 0f 87 bd 04
+    jnbe near 045d9h                          ; 0f 87 bd 04
     push CS                                   ; 0e
     pop ES                                    ; 07
     mov cx, strict word 0001eh                ; b9 1e 00
-    mov di, 0401ch                            ; bf 1c 40
+    mov di, 0403bh                            ; bf 3b 40
     repne scasb                               ; f2 ae
     sal cx, 1                                 ; d1 e1
     mov di, cx                                ; 89 cf
-    mov ax, word [cs:di+04039h]               ; 2e 8b 85 39 40
+    mov ax, word [cs:di+04058h]               ; 2e 8b 85 58 40
     mov bx, word [bp+018h]                    ; 8b 5e 18
     xor bh, bh                                ; 30 ff
@@ -5469,8 +5505,8 @@
     xor ah, ah                                ; 30 e4
     or ah, 003h                               ; 80 cc 03
-    jmp near 0459fh                           ; e9 7d 04
+    jmp near 045beh                           ; e9 7d 04
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 d5 d4
+    call 01600h                               ; e8 b6 d4
     mov cl, al                                ; 88 c1
     movzx ax, cl                              ; 0f b6 c1
@@ -5481,16 +5517,16 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 cb d4
+    call 0160eh                               ; e8 ac d4
     test cl, cl                               ; 84 c9
-    je near 0433ah                            ; 0f 84 f1 01
-    jmp near 045b3h                           ; e9 67 04
+    je near 04359h                            ; 0f 84 f1 01
+    jmp near 045d2h                           ; e9 67 04
     or bh, 002h                               ; 80 cf 02
     mov word [bp+018h], bx                    ; 89 5e 18
-    jmp near 045a2h                           ; e9 4d 04
+    jmp near 045c1h                           ; e9 4d 04
     mov word [bp+012h], 0aa55h                ; c7 46 12 55 aa
     or bh, 030h                               ; 80 cf 30
     mov word [bp+018h], bx                    ; 89 5e 18
     mov word [bp+016h], strict word 00007h    ; c7 46 16 07 00
-    jmp near 0433ah                           ; e9 d2 01
+    jmp near 04359h                           ; e9 d2 01
     mov bx, word [bp+00ch]                    ; 8b 5e 0c
     mov es, [bp+006h]                         ; 8e 46 06
@@ -5507,5 +5543,5 @@
     mov di, word [es:bx+00eh]                 ; 26 8b 7f 0e
     or di, ax                                 ; 09 c7
-    je short 041b0h                           ; 74 18
+    je short 041cfh                           ; 74 18
     mov ax, word [bp+018h]                    ; 8b 46 18
     shr ax, 008h                              ; c1 e8 08
@@ -5514,7 +5550,7 @@
     push 00428h                               ; 68 28 04
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 63 d7
+    call 01922h                               ; e8 59 d7
     add sp, strict byte 00008h                ; 83 c4 08
-    jmp near 04597h                           ; e9 e7 03
+    jmp near 045b6h                           ; e9 e7 03
     les bx, [bp-014h]                         ; c4 5e ec
     mov ax, word [es:bx+008h]                 ; 26 8b 47 08
@@ -5526,12 +5562,12 @@
     mov word [bp-016h], ax                    ; 89 46 ea
     cmp ax, strict word 00044h                ; 3d 44 00
-    je near 04336h                            ; 0f 84 66 01
+    je near 04355h                            ; 0f 84 66 01
     cmp ax, strict word 00047h                ; 3d 47 00
-    je near 04336h                            ; 0f 84 5f 01
+    je near 04355h                            ; 0f 84 5f 01
     mov cx, strict word 0000ch                ; b9 0c 00
     xor bx, bx                                ; 31 db
     mov dx, ss                                ; 8c d2
     lea ax, [bp-02ch]                         ; 8d 46 d4
-    call 0924ah                               ; e8 66 50
+    call 0946ah                               ; e8 67 52
     mov word [bp-02ch], strict word 00028h    ; c7 46 d4 28 00
     mov ax, word [bp-018h]                    ; 8b 46 e8
@@ -5561,5 +5597,5 @@
     sal ax, 1                                 ; d1 e0
     rcl bx, 1                                 ; d1 d3
-    loop 0422eh                               ; e2 fa
+    loop 0424dh                               ; e2 fa
     push bx                                   ; 53
     push ax                                   ; 50
@@ -5577,13 +5613,13 @@
     shr di, 1                                 ; d1 ef
     rcr ax, 1                                 ; d1 d8
-    loop 04258h                               ; e2 fa
+    loop 04277h                               ; e2 fa
     les bx, [bp-014h]                         ; c4 5e ec
     mov word [es:bx+002h], ax                 ; 26 89 47 02
     test dl, dl                               ; 84 d2
-    je near 04336h                            ; 0f 84 cb 00
-    mov bx, 00da6h                            ; bb a6 0d
+    je near 04355h                            ; 0f 84 cb 00
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 56 d6
+    call 018e1h                               ; e8 4c d6
     movzx ax, dl                              ; 0f b6 c2
     push ax                                   ; 50
@@ -5592,12 +5628,12 @@
     push 00451h                               ; 68 51 04
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 85 d6
+    call 01922h                               ; e8 7b d6
     add sp, strict byte 0000ah                ; 83 c4 0a
     mov ax, word [bp+018h]                    ; 8b 46 18
     xor ah, ah                                ; 30 e4
     or ah, 00ch                               ; 80 cc 0c
-    jmp near 0459fh                           ; e9 09 03
+    jmp near 045beh                           ; e9 09 03
     cmp bx, strict byte 00002h                ; 83 fb 02
-    jnbe near 04597h                          ; 0f 87 fa 02
+    jnbe near 045b6h                          ; 0f 87 fa 02
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     imul ax, ax, strict byte 00018h           ; 6b c0 18
@@ -5607,11 +5643,11 @@
     mov al, byte [es:di+021h]                 ; 26 8a 45 21
     cmp bx, strict byte 00002h                ; 83 fb 02
-    je short 04327h                           ; 74 73
+    je short 04346h                           ; 74 73
     cmp bx, strict byte 00001h                ; 83 fb 01
-    je short 042f4h                           ; 74 3b
+    je short 04313h                           ; 74 3b
     test bx, bx                               ; 85 db
-    jne near 04336h                           ; 0f 85 77 00
+    jne near 04355h                           ; 0f 85 77 00
     cmp AL, strict byte 0ffh                  ; 3c ff
-    jne short 042d5h                          ; 75 12
+    jne short 042f4h                          ; 75 12
     mov ax, word [bp+018h]                    ; 8b 46 18
     xor ah, ah                                ; 30 e4
@@ -5620,5 +5656,5 @@
     xor al, al                                ; 30 c0
     or AL, strict byte 001h                   ; 0c 01
-    jmp near 0459fh                           ; e9 ca 02
+    jmp near 045beh                           ; e9 ca 02
     movzx dx, byte [bp-008h]                  ; 0f b6 56 f8
     imul dx, dx, strict byte 00018h           ; 6b d2 18
@@ -5632,11 +5668,11 @@
     or AL, strict byte 001h                   ; 0c 01
     mov word [bp+018h], ax                    ; 89 46 18
-    jmp near 04336h                           ; e9 42 00
+    jmp near 04355h                           ; e9 42 00
     test al, al                               ; 84 c0
-    jne short 04304h                          ; 75 0c
+    jne short 04323h                          ; 75 0c
     or bh, 0b0h                               ; 80 cf b0
     mov word [bp+018h], bx                    ; 89 5e 18
     mov byte [bp+018h], al                    ; 88 46 18
-    jmp near 045a2h                           ; e9 9e 02
+    jmp near 045c1h                           ; e9 9e 02
     movzx dx, byte [bp-008h]                  ; 0f b6 56 f8
     imul dx, dx, strict byte 00018h           ; 6b d2 18
@@ -5653,5 +5689,5 @@
     xor al, al                                ; 30 c0
     or ax, dx                                 ; 09 d0
-    jmp short 042eeh                          ; eb c7
+    jmp short 0430dh                          ; eb c7
     test al, al                               ; 84 c0
     db  00fh, 095h, 0c0h
@@ -5665,5 +5701,5 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 c9 d2
+    call 0160eh                               ; e8 aa d2
     and byte [bp+01eh], 0feh                  ; 80 66 1e fe
     lea sp, [bp-004h]                         ; 8d 66 fc
@@ -5678,12 +5714,12 @@
     mov al, byte [es:si+021h]                 ; 26 8a 44 21
     test al, al                               ; 84 c0
-    je short 0436ah                           ; 74 06
+    je short 04389h                           ; 74 06
     or bh, 0b1h                               ; 80 cf b1
-    jmp near 0414fh                           ; e9 e5 fd
-    je short 04336h                           ; 74 ca
+    jmp near 0416eh                           ; e9 e5 fd
+    je short 04355h                           ; 74 ca
     mov ax, word [bp+018h]                    ; 8b 46 18
     xor ah, ah                                ; 30 e4
     or ah, 0b1h                               ; 80 cc b1
-    jmp near 0459fh                           ; e9 28 02
+    jmp near 045beh                           ; e9 28 02
     mov dx, word [bp+00ch]                    ; 8b 56 0c
     mov cx, word [bp+006h]                    ; 8b 4e 06
@@ -5695,6 +5731,6 @@
     mov word [bp-00eh], ax                    ; 89 46 f2
     cmp ax, strict word 0001ah                ; 3d 1a 00
-    jc near 04597h                            ; 0f 82 04 02
-    jc short 043e4h                           ; 72 4f
+    jc near 045b6h                            ; 0f 82 04 02
+    jc short 04403h                           ; 72 4f
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     imul ax, ax, strict byte 00018h           ; 6b c0 18
@@ -5719,5 +5755,5 @@
     ; mov dword [es:di+014h], strict dword 0ffffffffh ; 66 26 c7 45 14 ff ff ff ff
     cmp word [bp-00eh], strict byte 0001eh    ; 83 7e f2 1e
-    jc near 044bbh                            ; 0f 82 cf 00
+    jc near 044dah                            ; 0f 82 cf 00
     mov es, [bp-00ah]                         ; 8e 46 f6
     mov word [es:bx], strict word 0001eh      ; 26 c7 07 1e 00
@@ -5771,20 +5807,20 @@
     xor cl, cl                                ; 30 c9
     xor ch, ch                                ; 30 ed
-    jmp short 0449eh                          ; eb 05
+    jmp short 044bdh                          ; eb 05
     cmp ch, 00fh                              ; 80 fd 0f
-    jnc short 044b1h                          ; 73 13
+    jnc short 044d0h                          ; 73 13
     movzx dx, ch                              ; 0f b6 d5
     add dx, 00312h                            ; 81 c2 12 03
     mov ax, word [bp-01ah]                    ; 8b 46 e6
-    call 01600h                               ; e8 55 d1
+    call 01600h                               ; e8 36 d1
     add cl, al                                ; 00 c1
     db  0feh, 0c5h
     ; inc ch                                    ; fe c5
-    jmp short 04499h                          ; eb e8
+    jmp short 044b8h                          ; eb e8
     neg cl                                    ; f6 d9
     mov es, [bp-00ch]                         ; 8e 46 f4
     mov byte [es:si+001ffh], cl               ; 26 88 8c ff 01
     cmp word [bp-00eh], strict byte 00042h    ; 83 7e f2 42
-    jc near 04336h                            ; 0f 82 73 fe
+    jc near 04355h                            ; 0f 82 73 fe
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     cwd                                       ; 99
@@ -5804,5 +5840,5 @@
     mov word [es:bx+022h], strict word 00000h ; 26 c7 47 22 00 00
     test al, al                               ; 84 c0
-    jne short 04504h                          ; 75 09
+    jne short 04523h                          ; 75 09
     db  066h, 026h, 0c7h, 047h, 024h, 049h, 053h, 041h, 020h
     ; mov dword [es:bx+024h], strict dword 020415349h ; 66 26 c7 47 24 49 53 41 20
@@ -5813,5 +5849,5 @@
     ; mov dword [es:bx+02ch], strict dword 020202020h ; 66 26 c7 47 2c 20 20 20 20
     test al, al                               ; 84 c0
-    jne short 04530h                          ; 75 13
+    jne short 0454fh                          ; 75 13
     mov word [es:bx+030h], dx                 ; 26 89 57 30
     db  066h, 026h, 0c7h, 047h, 032h, 000h, 000h, 000h, 000h
@@ -5828,7 +5864,7 @@
     xor al, al                                ; 30 c0
     mov AH, strict byte 01eh                  ; b4 1e
-    jmp short 04558h                          ; eb 05
+    jmp short 04577h                          ; eb 05
     cmp ah, 040h                              ; 80 fc 40
-    jnc short 04567h                          ; 73 0f
+    jnc short 04586h                          ; 73 0f
     movzx si, ah                              ; 0f b6 f4
     mov es, [bp-00ah]                         ; 8e 46 f6
